source: orange/install-scripts/mac/dailyrun.sh @ 10345:938207a1d05f

Revision 10345:938207a1d05f, 4.0 KB checked in by Ales Erjavec <ales.erjavec@…>, 2 years ago (diff)

Added $HOME/bin to bundle dailyrun scripts.

  • Property exe set to *
Line 
1#!/bin/bash
2#
3# Should be run as: sudo ./dailyrun.sh
4#
5
6test -r /sw/bin/init.sh && . /sw/bin/init.sh
7
8export PATH=$HOME/bin:$PATH
9
10STABLE_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
11# svn info does not return proper exit status on an error so we check it this way
12[ "$STABLE_REVISION_1" ] || exit 1
13STABLE_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
14# svn info does not return proper exit status on an error so we check it this way
15[ "$STABLE_REVISION_2" ] || exit 1
16
17if [[ $STABLE_REVISION_1 -gt $STABLE_REVISION_2 ]]; then
18    STABLE_REVISION=$STABLE_REVISION_1
19else
20    STABLE_REVISION=$STABLE_REVISION_2
21fi
22
23DAILY_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
24# svn info does not return proper exit status on an error so we check it this way
25[ "$DAILY_REVISION_1" ] || exit 1
26DAILY_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
27# svn info does not return proper exit status on an error so we check it this way
28[ "$DAILY_REVISION_2" ] || exit 1
29
30if [[ $DAILY_REVISION_1 -gt $DAILY_REVISION_2 ]]; then
31    DAILY_REVISION=$DAILY_REVISION_1
32else
33    DAILY_REVISION=$DAILY_REVISION_2
34fi
35
36MAC_VERSION=`sw_vers -productVersion | cut -d '.' -f 2`
37ARCH=`perl -MFink::FinkVersion -e 'print Fink::FinkVersion::get_arch'`
38
39defaults write com.apple.desktopservices DSDontWriteNetworkStores true
40
41/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; }
42
43## Daily build from hg
44/Users/ailabc/bundle-daily-build-hg.sh &> /private/tmp/bundle-daily-build.log
45EXIT_VALUE=$?
46
47/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; }
48
49echo "Orange (bundle $MAC_VERSION from hg) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build-hg.log"
50date >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build-hg.log"
51cat /private/tmp/bundle-daily-build.log >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build-hg.log"
52(($EXIT_VALUE)) && echo "Running bundle-daily-build-hg.sh failed"
53
54
55#/Users/ailabc/bundle-daily-build.sh $STABLE_REVISION $DAILY_REVISION &> /private/tmp/bundle-daily-build.log
56#EXIT_VALUE=$?
57#
58#/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; }
59#
60#echo "Orange (bundle $MAC_VERSION) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build.log"
61#date >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build.log"
62#cat /private/tmp/bundle-daily-build.log >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build.log"
63#(($EXIT_VALUE)) && echo "Running bundle-daily-build.sh failed"
64#
65#/Users/ailabc/bundle-64bit-daily-build.sh $DAILY_REVISION &> /private/tmp/bundle-64bit-daily-build.log
66#EXIT_VALUE=$?
67
68#/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; }
69#
70#echo "Orange (bundle $MAC_VERSION 64bit) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-64bit-daily-build.log"
71#date >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-64bit-daily-build.log"
72#cat /private/tmp/bundle-64bit-daily-build.log >> "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-64bit-daily-build.log"
73#(($EXIT_VALUE)) && echo "Running bundle-64bit-daily-build.sh failed"
74
75/Users/ailabc/fink-daily-build.sh $STABLE_REVISION $DAILY_REVISION &> /private/tmp/fink-daily-build.log
76EXIT_VALUE=$?
77
78/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; }
79
80echo "Orange (fink $MAC_VERSION $ARCH) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-$ARCH-daily-build.log"
81date >> "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-$ARCH-daily-build.log"
82cat /private/tmp/fink-daily-build.log >> "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-$ARCH-daily-build.log"
83(($EXIT_VALUE)) && echo "Running fink-daily-build.sh failed"
84
85# Zero exit value
86true
Note: See TracBrowser for help on using the repository browser.